package com.zhongdao.jlr.business.vo;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import com.zhongdao.jlr.pojo.BaseMenu;

public class LoginUserVo {
	private Long id;
	private String name;
	private String login_name;
	private String phone;
	private String remark;
	private Integer rescue_company_code;
	private Integer role_id;
	private Integer permission_organize_flag;
	private Integer permission_flag;
	private Integer enterpriseJlrId;
	private String  email;

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLogin_name() {
		return login_name;
	}

	public void setLogin_name(String login_name) {
		this.login_name = login_name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getRescue_company_code() {
		return rescue_company_code;
	}

	public void setRescue_company_code(Integer rescue_company_code) {
		this.rescue_company_code = rescue_company_code;
	}

	public Integer getPermission_organize_flag() {
		return permission_organize_flag;
	}

	public void setPermission_organize_flag(Integer permission_organize_flag) {
		this.permission_organize_flag = permission_organize_flag;
	}

	public Integer getPermission_flag() {
		return permission_flag;
	}

	public void setPermission_flag(Integer permission_flag) {
		this.permission_flag = permission_flag;
	}

	
	public Integer getEnterpriseJlrId() {
		return enterpriseJlrId;
	}

	public void setEnterpriseJlrId(Integer enterpriseJlrId) {
		this.enterpriseJlrId = enterpriseJlrId;
	}

	public Integer getRole_id() {
		return role_id;
	}

	public void setRole_id(Integer role_id) {
		this.role_id = role_id;
	}

	@Override
	public String toString() {
		return "LoginUserVo{" +
				"id=" + id +
				", name='" + name + '\'' +
				", login_name='" + login_name + '\'' +
				", phone='" + phone + '\'' +
				", remark='" + remark + '\'' +
				", rescue_company_code=" + rescue_company_code +
				", role_id=" + role_id +
				", permission_organize_flag=" + permission_organize_flag +
				", permission_flag=" + permission_flag +
				", enterpriseJlrId=" + enterpriseJlrId +
				", email='" + email + '\'' +
				'}';
	}
}
